/* wchar.h: Wide-character string manipulation functions. */

#ifndef _WCHAR_H
#define _WCHAR_H

typedef long int wint_t;

#include <stddef.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /* Calculate the size of a null-terminated wide character string. */
    size_t wcslen(const wchar_t* str);

    /* Compare two null-terminated wide character strings. */
    int wcscmp(const wchar_t* a, const wchar_t* b);

#ifdef __cplusplus
}
#endif

#endif
